LOGWTMP(3)

NAME
logwtmp - append a new record to the wtmp file

LIBRARY
libutil

SYNOPSIS
#include <sys/types.h>
#include <libutil.h>
void
logwtmp(const char *line, const char *name, const char *host);

DESCRIPTION
The function logwtmp() tries to append a new record to the wtmp(5) file, using the provided arguments line, name, and host, and the current time.

If the length of the hostname string host is longer than what would fit into the hostname field of the wtmp(5) file, it will first be attempted to convert it into a numerical IP address using gethostbyname(3). Failing this, the hostname will be recorded as "invalid hostname".

The calling process must have permission to write to the wtmp(5) file.

RETURN VALUES
None.

SEE ALSO
gethostbyname(3), login(3), wtmp(5)